#
# spec file for package libmng (Version 1.0.9)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libjpeg-devel liblcms liblcms-devel libnscd libstdc++ libtiff libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libmng
BuildRequires:  libjpeg-devel liblcms-devel
License:        Other License(s), see package, distributable
Group:          System/Libraries
Summary:        Library for Support of MNG and JNG Formats
Version:        1.0.9
Release:        16.2
URL:            http://www.libmng.com/
Source0:        libmng-%version.tar.bz2
Patch:          libmng.diff
Patch2:         libmng-no-jpeg.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library can handle MNG and JNG formats that contain animated
pictures. These formats should replace the GIF format.



Authors:
--------
    Gerard Juyn <gerard@libmng.com>

%debug_package
%package devel
Requires:       libmng liblcms-devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries

%description devel
This library can handle MNG and JNG formats which contain animated
pictures. These formats should replace the GIF format.

This package contains the static library and the header files.



Authors:
--------
    Gerard Juyn <gerard@libmng.com>

%prep
%setup -q
%patch

%build
make -f makefiles/makefile.linux _LIB=%_lib

%install
make -f makefiles/makefile.linux DESTDIR=$RPM_BUILD_ROOT _LIB=%_lib install
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3/ $RPM_BUILD_ROOT/%{_mandir}/man5/
install -m 0644 doc/man/*.3 $RPM_BUILD_ROOT/%{_mandir}/man3/
install -m 0644 doc/man/*.5 $RPM_BUILD_ROOT/%{_mandir}/man5/
#
# build a mini libmng
#
make -f makefiles/makefile.linux clean
patch -p0 < %PATCH2
make -f makefiles/makefile.linux _LIB=%_lib
install -m 0755 libmng.a $RPM_BUILD_ROOT/%_libdir/libmng-mini.a

%files
%defattr(-,root,root)
%doc LICENSE README doc/doc.readme doc/libmng.txt
/%{_libdir}/libmng.so.*

%files devel
%defattr(-,root,root)
/usr/include/*.h
%doc %_mandir/*/*
%_libdir/libmng-mini.a
%_libdir/libmng.a
%_libdir/libmng.so

%changelog -n libmng
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Feb 04 2005 - adrian@suse.de
- fix missing symbols in libmng-mini
* Tue Feb 01 2005 - adrian@suse.de
- update to version 1.0.9
- disable also liblcms in libmng-mini.a
* Thu Sep 23 2004 - mls@suse.de
- really disable jpeg in mini libmng.a
* Mon Aug 09 2004 - adrian@suse.de
- update to version 1.0.8
* Sun Dec 21 2003 - adrian@suse.de
- update to version 1.0.6
* Thu Mar 06 2003 - adrian@suse.de
- update to 1.0.5 final
  * libjpeg suspension not always honored correctly
* Mon Jan 20 2003 - adrian@suse.de
- update to 1.0.5-rc3
  * Minor bug-fixes
* Fri Dec 20 2002 - adrian@suse.de
- update to 1.0.5-rc2
  * lots of new features
* Wed Dec 18 2002 - adrian@suse.de
- require liblcms-devel
* Tue Aug 06 2002 - adrian@suse.de
- run_ldconfig
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Fri Jun 28 2002 - ro@suse.de
- re-run auto* tools to get library linked to libjpeg and liblcms
  correctly on lib64 platforms
* Mon Jun 24 2002 - adrian@suse.de
- update to version 1.0.4
  * hugh bugfix release, /usr/share/doc/packages/libmng/Changes
  describes changes
  * remove obsolete patches
* Fri Jun 21 2002 - adrian@suse.de
- fix doc and man page locations (#15978)
* Fri May 31 2002 - adrian@suse.de
- fix build for ppc64
* Fri Mar 08 2002 - sf@suse.de
- corrected configure to to build with lcms
* Wed Feb 06 2002 - coolo@suse.de
- fix %%_libdir
* Mon Jan 07 2002 - adrian@suse.de
- use %%{_libdir}
* Tue Oct 16 2001 - adrian@suse.de
- update to 1.0.3
- clean compatibility lib
* Fri Aug 24 2001 - adrian@suse.de
- fix to compile without jpeg support for libmng-mini.a
* Thu Aug 23 2001 - adrian@suse.de
- build extra small libmng-mini.a
  needed for inst-sys application
* Mon Jul 09 2001 - adrian@suse.de
- update to version 1.0.2
* Thu Apr 05 2001 - adrian@suse.de
- add the same lib with so name libmng.so.0 for compatibility
* Fri Feb 09 2001 - adrian@suse.de
- update to version 1.0.0
  fix spec file for non i386 (thanks Bernd)
* Wed Nov 29 2000 - adrian@suse.de
- update to 0.9.3
  fixing liblcms support
  dropped jpeg support for old (<6.4) distris
* Fri Nov 17 2000 - adrian@suse.de
- split package into libmng and libmng-devel
* Wed Oct 04 2000 - adrian@suse.de
- initial package; version 0.9.2
